Subject: bug#8959: 24.0.50; [nnimap/Gnus] Dovecot panics trying to close mailboxes

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 30 Jun 2011 02:44:56 +0200

Luca Capello <[email-masked]> writes:

>> 1) Your dovecot is apparently segfaulting because of something Gnus is
>> doing.  Does it stop doing that if you `M-g' the
>> "lists.Debian.pkg.CL-Debian" group?
>
> I tried with four other folders and it seems that the second time
> Dovecot does not segfault, even in the fourth case where I had to
> unfreeze Gnus with `C-g' before hitting `M-g'.

Right.  I think the base issue is that if you QRESYNC with a sequence
number that's "too far back", Dovecot (before the patch) would
segfault.  If you `M-g' the groups, then that does a total (and slow)
resync of the flags, so that the next QRESYNC won't segfault dovecot.

> I have already backported the patch to the Debian stable package
> (dovecot-imapd_1:1.2.15-7), so I will test it in the following days.

Great.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/